std::ctype::~ctype(3)

NAME
std::ctype::~ctype - std::ctype::~ctype

Synopsis
   Defined in header <locale>
   protected: ~ctype();
   Destructs a std::ctype facet. This destructor is protected and virtual (due to base
   class destructor being virtual). An object of type std::ctype, like most facets, can
   only be destroyed when the last std::locale object that implements this facet goes
   out of scope or if a user-defined class is derived from std::ctype and implements a
   public destructor.

Example
// Run this code
 #include <iostream>
 #include <locale>
 struct Destructible_ctype : public std::ctype<wchar_t>
 {
     Destructible_ctype(std::size_t refs = 0) : ctype(refs) {}
     // note: the implicit destructor is public
 };
 int main()
 {
     Destructible_ctype dc;
     // std::ctype<wchar_t> c; // compile error: protected destructor
 }